ABOUT:

This utility will help to create irq_table.c file, that is very hard to create manually, 
specialy when you are testing new motherboards, changing your hardware often, placing new cards, etc.. 


INSTALL:

edit Makefile, define the root to Linuxbios tree
make

USAGE:

./getpir

Will dump irq table to the file called irq_tables.c, ready to use with Linuxbios. Just move the 
file to corresponding place in the linux bios tree.


CHECKING CUSTOM irq_tables.c:

checkpir.c Will verify the irq_tables.c, currently it only checks the checksum. In case of wrong
checksum, a good value is proposed, so you can edit irq_tables.c manualy and replace checksum.
Run the command like this:

make test

Do not run ./checkpir directly because it needs to be linked to irq_table.o first.
